$radio-button-content-background: $color-white;
$radio-button-content-background-hover: $dark;
$radio-button-content-border: $border-general-height;

.radio-button__label {
  display: block;
  width: 100%;
}

.radio-button__content {
  align-items: center;
  background: $radio-button-content-background;
  border: $radio-button-content-border;
  display: flex;
  font-size: .85rem;
  padding:  1.5rem 2rem;
  position: relative;
  transition: background .2s;
  width: 100%;
  &--disabled {
    pointer-events: none;
    background-color: #C3BEBE;
  }
}

.radio-button__filter-search {
  padding: unset;
  justify-content: center;
  height: rem(60px);
  border: $dark 2px solid;
  border-radius: 2%;
}

.radio-button__content:hover {
  cursor: pointer;
}

.radio-button__icon {
  align-items: center;
  display: flex;
  height: 40px;
  transition: transform .2s;
  width: 40px;

  .icon {
    fill: red;
    height: 100%;
    transition: transition .2s;
    width: 100%;
  }
}

.radio-button__text {
  margin-left: 6%;
}

.radio-button__radio-button {
  display: none;

  &:checked + .radio-button__content {
    background: $radio-button-content-background-hover url('svg/icons/check-blue.svg') 95% center no-repeat;
    padding-right: rem(50px);
    background-size: 40px;
    color: $color-white;
    & g {
      fill: $color-white;
    }
    .icon {
      fill: $color-white;
    }
  }

  &:checked + .radio-button__content::before {
    background: transparent image-url('assets/svg/icons/check.svg') center no-repeat;
    background-size: 80%;
  }
}
